> ## Documentation Index
> Fetch the complete documentation index at: https://docs.leadsontrees.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Fundings

> Retrieve advanced & real-time funding data, sorted by recency



## OpenAPI

````yaml GET /funding
openapi: 3.1.0
info:
  title: Funding Data API
  description: >-
    Retrieve advanced & real-time funding data, sorted by recency. Rate limit:
    60 requests per minute.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://www.leadsontrees.com/api/v1
security:
  - apiKeyAuth: []
paths:
  /funding:
    get:
      description: Retrieve advanced & real-time funding data, sorted by recency
      parameters:
        - name: round
          in: query
          description: Filter by seed round (e.g., seed, pre-seed)
          schema:
            type: string
          example: seed
        - name: category
          in: query
          description: Array of categories (e.g., AI, Web3)
          schema:
            type: array
            items:
              type: string
          style: form
          explode: false
          example:
            - Healthcare
            - AI
        - name: amount
          in: query
          description: Minimum funding amount
          schema:
            type: integer
            minimum: 0
          example: 1000000
        - name: country
          in: query
          description: Country of the companies
          schema:
            type: string
          example: United States
        - name: website
          in: query
          description: Company website url
          schema:
            type: string
            format: uri
          example: https://example.com
        - name: linkedin_url
          in: query
          description: Company linkedin url
          schema:
            type: string
            format: uri
          example: https://www.linkedin.com/company/example
        - name: page
          in: query
          description: Page number
          schema:
            type: integer
            minimum: 1
          example: 2
        - name: date_from
          in: query
          description: Start date (YYYY-MM-DD)
          schema:
            type: string
            format: date
          example: '2024-01-01'
        - name: date_to
          in: query
          description: End date (YYYY-MM-DD)
          schema:
            type: string
            format: date
          example: '2024-12-31'
      responses:
        '200':
          description: Funding data response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FundingResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '429':
          description: Rate limit exceeded (60 requests per minute)
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RateLimitExceeded'
components:
  schemas:
    FundingResponse:
      type: object
      required:
        - message
        - params
        - response
      properties:
        message:
          type: string
          example: OK
        params:
          $ref: '#/components/schemas/RequestParams'
        response:
          $ref: '#/components/schemas/ResponseData'
    Error:
      type: object
      required:
        - code
        - message
      properties:
        code:
          type: integer
          format: int32
        message:
          type: string
    RateLimitExceeded:
      type: object
      required:
        - code
        - message
      properties:
        code:
          type: integer
          format: int32
          example: 429
        message:
          type: string
          example: Rate limit exceeded. Maximum 60 requests per minute.
    RequestParams:
      type: object
      properties:
        category:
          type: array
          items:
            type: string
        round:
          type: array
          items:
            type: string
        amount:
          type: integer
          nullable: true
        date_from:
          type: string
          format: date
          nullable: true
        date_to:
          type: string
          format: date
          nullable: true
    ResponseData:
      type: object
      required:
        - data
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/FundingRecord'
    FundingRecord:
      type: object
      required:
        - company_name
        - round_type
        - funding_amount
        - currency
        - investors
      properties:
        company_name:
          type: string
          example: TechCorp Inc
        name_path:
          type: string
          example: techcorp-inc
        round_type:
          type: string
          nullable: true
          example: Series B
        funding_amount:
          type: integer
          example: 300000000
        currency:
          type: string
          example: EUR
        ceo:
          type: string
          nullable: true
          example: Jane Smith
        investors:
          type: array
          items:
            $ref: '#/components/schemas/Investor'
        company_info:
          $ref: '#/components/schemas/CompanyInfo'
        historical_headcount:
          type: array
          items:
            $ref: '#/components/schemas/HeadcountData'
        growth_info:
          $ref: '#/components/schemas/GrowthInfo'
        contact_info:
          type: array
          items:
            $ref: '#/components/schemas/ContactInfo'
        main_category:
          type: string
          example: Technology
        date_seen:
          type: string
          format: date-time
          example: '2025-07-05T07:03:37.906000'
    Investor:
      type: object
      required:
        - name
      properties:
        name:
          type: string
          example: Sample Ventures
        linkedin_url:
          type: string
          format: uri
          example: https://www.linkedin.com/company/sample-ventures
    CompanyInfo:
      type: object
      properties:
        name:
          type: string
          example: TechCorp Inc
        description:
          type: string
          example: >-
            TechCorp Inc is a leading technology company specializing in
            innovative software solutions for businesses worldwide.
        industry:
          type: string
          example: Software Technology
        website:
          type: string
          format: uri
          example: https://www.techcorp.com
        size:
          type: string
          example: 1,001-5,000 employees
        logo_url:
          type: string
          format: uri
          nullable: true
          example: https://example.com/logos/techcorp.png
        year_founded:
          type: integer
          nullable: true
          example: 1994
        hq_country:
          type: string
          nullable: true
          example: United States
        email:
          type: string
          format: email
          nullable: true
        phone:
          type: string
          nullable: true
        keywords:
          type: array
          items:
            type: string
          example:
            - cloud computing
            - artificial intelligence
            - data analytics
        specialities:
          type: array
          items:
            type: string
        categories:
          type: array
          items:
            type: string
          example:
            - Software
            - Technology
            - SaaS
        company_interested_in:
          type: array
          items:
            type: string
          example:
            - Software development
            - AI technology
            - Cloud services
    HeadcountData:
      type: object
      required:
        - date
        - headcount
        - growth
      properties:
        date:
          type: string
          format: date-time
          example: '2024-12-05T12:48:23'
        headcount:
          type: integer
          example: 358
        growth:
          type: number
          format: float
          example: -0.28
    GrowthInfo:
      type: object
      properties:
        growth_1m:
          type: number
          format: float
          example: -0.28
        growth_3m:
          type: number
          format: float
          example: -0.56
        growth_6m:
          type: number
          format: float
          example: -1.93
        growth_9m:
          type: number
          format: float
          example: -4.81
        growth_12m:
          type: number
          format: float
          example: -4.3
    ContactInfo:
      type: object
      properties:
        employees:
          type: array
          items:
            $ref: '#/components/schemas/Employee'
        company_linkedin_url:
          type: string
          format: uri
          nullable: true
          example: https://www.linkedin.com/company/techcorp
        company_twitter_url:
          type: string
          format: uri
          nullable: true
          example: https://twitter.com/TechCorpInc
        company_facebook_url:
          type: string
          format: uri
          nullable: true
          example: https://www.facebook.com/TechCorpInc
    Employee:
      type: object
      required:
        - name
        - title
      properties:
        name:
          type: string
          example: John Anderson
        title:
          type: string
          example: Head of Engineering
        linkedin_url:
          type: string
          format: uri
          nullable: true
          example: https://www.linkedin.com/in/john-anderson
        email:
          type: string
          format: email
          nullable: true
          example: j.anderson@techcorp.com
        phone:
          type: string
          nullable: true
        date_started:
          type: string
          format: date-time
          example: '2025-07-01T11:19:19'
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-lot-api-key
      description: API key for funding data API authentication

````